FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > 64 Studio > 64 Studio User

 
 
LinkBack Thread Tools
 
Old 04-26-2010, 05:39 PM
Ralf Mardorf
 
Default Issue with Google Earth

Hi

just now I added the medibuntu repository [1] to my repositories,
deleted all Google Earth files that for me only should have been
in /home and installed the googleearth package [2]. After google earth
was installed I disabled the medibuntu repository, to avoid conflicts,
because it could make debugging for an alpha version much harder.

Now it's the same bug as it was for the version I build by using the
installer from Google. There's no earth in the window where the earth
should be, it's just black, but now I don't get any messages when
running Google Earth.

spinymouse@64studio:~$ /usr/bin/googleearth
spinymouse@64studio:~$

It's for Sky, Mars and Moon the same, excepted that for Sky the black is
a "light black" .

On Suse 10.2 amd64 Google Earth works like a charm. Is Google Earth ok
for anybody on a 64-bit Ubuntu?

Cheers!

Ralf


[1]
root@64studio:/etc/apt# cat sources.list.d/64studio.list



root@64studio:/etc/apt# cat sources.list
deb http://cz.archive.ubuntu.com/ubuntu/ karmic main
deb http://archive.ubuntu.com/ubuntu/ karmic main restricted universe
multiverse
deb http://it.archive.ubuntu.com/ubuntu/ karmic-updates main restricted
universe multiverse
deb http://security.ubuntu.com/ubuntu/ karmic-security restricted main
multiverse universe
deb http://archive.ubuntu.com/ubuntu/ karmic-backports restricted main
multiverse universe
deb http://apt.64studio.com/backports/ karmic-backports main
deb http://ppa.launchpad.net/shutter/ppa/ubuntu/ karmic main
deb http://packages.medibuntu.org/ karmic free non-free



root@64studio:/etc/apt#

If you will add the same repositories to yours, you might need to add
those keys too:
# wget -q http://shutter-project.org/shutter-ppa.key -O- | sudo apt-key
add -
# wget -q http://de.packages.medibuntu.org/medibuntu-key.gpg -O- | sudo
apt-key add - && sudo apt-get update

[2]
Commit Log for Mon Apr 26 18:56:05 2010


Installed the following packages:
avahi-daemon (0.6.25-1ubuntu5.1)
googleearth (5.1.3509.4636-0medibuntu1)
googleearth-data (5.1.3509.4636-0medibuntu1)
lib32nss-mdns (0.10-3ubuntu3)
libavahi-core6 (0.6.25-1ubuntu5.1)
libdaemon0 (0.13-3)
libnss-mdns (0.10-3ubuntu3)
ttf-dejavu (2.29-2)
ttf-dejavu-extra (2.29-2)

_______________________________________________
64studio-users mailing list
64studio-users@lists.64studio.com
http://lists.64studio.com/mailman/listinfo/64studio-users
 
Old 04-26-2010, 06:11 PM
Ralf Mardorf
 
Default Issue with Google Earth

PS:
For the package management there are no broken packages, but ...

root@64studio:/home/spinymouse#
ldd /usr/lib32/googleearth/googleearth-bin | grep not found
libgoogleearth_lib.so => not found
libbase.so => not found
libgeobase.so => not found
root@64studio:/home/spinymouse#
getlibs /usr/lib32/googleearth/googleearth-bin
No match for libgoogleearth_lib.so
libbase.so: libdeal.ii-dev
No match for libgeobase.so
The following i386 packages will be installed:
libdeal.ii-dev
Continue [Y/n]? Y
Downloading ...
Installing libraries ...
root@64studio:/home/spinymouse# exit
spinymouse@64studio:~$ /usr/bin/googleearth
spinymouse@64studio:~$

Nothing did change, Google Earth still is broken. I removed the Google
Earth packages completely ...

Commit Log for Mon Apr 26 19:52:42 2010


Completely removed the following packages:
googleearth
googleearth-data

I hoped for a chance to build Google Earth. Btw. *lol* because of the ./
when I run chmod.

spinymouse@64studio:~/Desktop$ chmod +x ./GoogleEarthLinux.bin
spinymouse@64studio:~/Desktop$ ./GoogleEarthLinux.bin
Verifying archive integrity... All good.
Uncompressing Google Earth for GNU/Linux
5.1.3533.1731..................................... ..........................
loki_setup: Suspect size value for option option

/usr/lib/gio/modules/libgiogconf.so: wrong ELF class: ELFCLASS64
Failed to load module: /usr/lib/gio/modules/libgiogconf.so
/usr/lib/gio/modules/libgioremote-volume-monitor.so: wrong ELF class:
ELFCLASS64
Failed to load
module: /usr/lib/gio/modules/libgioremote-volume-monitor.so
/usr/lib/gio/modules/libgvfsdbus.so: wrong ELF class: ELFCLASS64
Failed to load module: /usr/lib/gio/modules/libgvfsdbus.so

(setup.gtk2:4795): Gtk-WARNING **: Error loading theme icon 'gtk-cancel'
for stock: Unable to load image-loading
module: /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so: /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so: wrong ELF class: ELFCLASS64

(setup.gtk2:4795): Gtk-WARNING **: Error loading theme icon
'gtk-media-forward-ltr' for stock: Unable to load image-loading
module: /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so: /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so: wrong ELF class: ELFCLASS64

(setup.gtk2:4795): Gtk-WARNING **: Error loading theme icon
'gtk-dialog-info' for stock: Unable to load image-loading
module: /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so: /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so: wrong ELF class: ELFCLASS64

(setup.gtk2:4795): Gtk-WARNING **: Error loading theme icon
'gtk-execute' for stock: Unable to load image-loading
module: /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so: /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so: wrong ELF class: ELFCLASS64

(setup.gtk2:4795): Gtk-WARNING **: Error loading theme icon 'gtk-quit'
for stock: Unable to load image-loading
module: /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so: /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so: wrong ELF class: ELFCLASS64

(setup.gtk2:4795): Gtk-WARNING **: Error loading theme icon
'gtk-dialog-info' for stock: Unable to load image-loading
module: /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so: /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so: wrong ELF class: ELFCLASS64
loki_setup: Suspect size value for option option


(setup.gtk2:4795): Gtk-WARNING **: Error loading theme icon 'gtk-cancel'
for stock: Unable to load image-loading
module: /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so: /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so: wrong ELF class: ELFCLASS64

(setup.gtk2:4795): Gtk-WARNING **: Error loading theme icon
'gtk-execute' for stock: Unable to load image-loading
module: /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so: /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so: wrong ELF class: ELFCLASS64

(setup.gtk2:4795): Gtk-WARNING **: Error loading theme icon
'gtk-execute' for stock: Unable to load image-loading
module: /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so: /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so: wrong ELF class: ELFCLASS64
loki_setup: Suspect size value for option option

Installing mimetypes...
Installing desktop menu entries...
Installing desktop icon...
spinymouse@64studio:~/Desktop$ ldd ../google-earth/googleearth-bin |
grep not found
libgoogleearth_lib.so => not found
libbase.so => not found
libgeobase.so => not found

It's still broken, so I removed Google Earth, but keept all
dependencies.

_______________________________________________
64studio-users mailing list
64studio-users@lists.64studio.com
http://lists.64studio.com/mailman/listinfo/64studio-users
 
Old 04-27-2010, 07:53 AM
Tapani Sysimetsä
 
Default Issue with Google Earth

Ralf Mardorf wrote:
> [..] Is Google Earth ok
> for anybody on a 64-bit Ubuntu?
>

Hi Ralf,

I use Google Earth quite a lot with regular 64-bit Ubuntu, now Karmic
9.10. Works ok, I think I just ran the bin-installer. My laptop graphics
card is ATI Radeon X1250. So far I haven't got Google Earth running well
with rt-kernel or 64 Studio, but I have to say that I haven't tried it
too hard because I'm used to dual boot for music production and other stuff.

Regards,

Tapani


_______________________________________________
64studio-users mailing list
64studio-users@lists.64studio.com
http://lists.64studio.com/mailman/listinfo/64studio-users
 
Old 04-27-2010, 09:21 AM
Ralf Mardorf
 
Default Issue with Google Earth

Tapani Sysimetsä wrote:
> Ralf Mardorf wrote:
>
>> [..] Is Google Earth ok
>> for anybody on a 64-bit Ubuntu?
>>
>>
>
> Hi Ralf,
>
> I use Google Earth quite a lot with regular 64-bit Ubuntu, now Karmic
> 9.10. Works ok, I think I just ran the bin-installer. My laptop graphics
> card is ATI Radeon X1250. So far I haven't got Google Earth running well
> with rt-kernel or 64 Studio, but I have to say that I haven't tried it
> too hard because I'm used to dual boot for music production and other stuff.
>
> Regards,
>
> Tapani

Hi Tapani

thank you. That's strange, I wasn't able to get 3D support for my
integrated ATI Radeon X1250-based graphics. Now I'm using a NVIDIA
GeForce 7200 GS PCI express graphics instead.

Cheers!

Ralf
_______________________________________________
64studio-users mailing list
64studio-users@lists.64studio.com
http://lists.64studio.com/mailman/listinfo/64studio-users
 

Thread Tools




All times are GMT. The time now is 08:37 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright ©2007 - 2008, www.linux-archive.org